## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond testcoverage 0

Name:           rpmspectool
Version:        1.99.10
Release:        %autorelease
Summary:        Utility for dealing with RPM spec files

License:        GPL-3.0-or-later
URL:            https://github.com/nphilipp/rpmspectool
Source0:        %{pypi_source %{name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  sed
# The dependencies needed for testing don’t get auto-generated.
BuildRequires:  python3dist(pytest)
%if %{with testcoverage}
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  sed
%endif

Requires:       python3dist(%{name}) = %{version}

%generate_buildrequires
%{pyproject_buildrequires}

%global _description %{expand:
The rpmspectool utility lets users expand and download sources and patches in
RPM spec files.}

%description %_description

%package -n python3-%{name}
Summary:        %{summary}

%description -n python3-%{name} %_description

This package contains the Python package used by the rpmspectool CLI.

%prep
%autosetup

%if %{without testcoverage}
cat << PYTESTINI > pytest.ini
[pytest]
addopts =
PYTESTINI
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}
sed -i -e 's|^\(.*/COPYING\)|%%license \1|g' %{pyproject_files}

mkdir -p %{buildroot}%{_datadir}/bash-completion/
cp shell-completions/bash/rpmspectool %{buildroot}%{_datadir}/bash-completion/

%check
%pytest -v

%files
%license COPYING
%doc README.md
%{_bindir}/rpmspectool
%{_datadir}/bash-completion/

%files -n python3-%{name} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.99.10-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Nils Philippsen <nils@tiptoe.de> - 1.99.10-1
- Update to 1.99.10

* Tue Dec 19 2023 Nils Philippsen <nils@tiptoe.de> - 1.99.9-1
- Update to 1.99.9

* Tue Dec 19 2023 Nils Philippsen <nils@tiptoe.de> - 1.99.8-1
- Update to 1.99.8
- Split off Python package

* Mon Oct 16 2023 Federico Pellegrin <fede@evolware.org> - 1.99.7-13
- Requires python3-setuptools as it is needed also at runtime (pkg_resources module)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.99.7-11
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.99.7-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.99.7-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.99.7-2
- Rebuilt for Python 3.9

* Fri Apr 03 2020 Nils Philippsen <nils@tiptoe.de> - 1.99.7-1
- version 1.99.7
- add bash completion

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.99.6-8
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.99.6-7
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.99.6-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jul 30 2017 Nils Philippsen <nils@tiptoe.de> - 1.99.6-1
- version 1.99.6
- distinguish --sources/--patches from --source/--patch options (#1325788)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.99.5-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 31 2016 Nils Philippsen <nils@redhat.com>
- fix source URL

* Fri Apr 08 2016 Nils Philippsen <nils@redhat.com> - 1.99.5-1
- version 1.99.5
- use umask for downloaded files (#1323692, patch by Ville Skyttä)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.99.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Nils Philippsen <nils@redhat.com> - 1.99.4-1
- version 1.99.4
- don't trip over open conditional blocks (#1154596)
- catch errors from parsing intermediate spec file
- catch download errors
- implement --force

* Fri Nov 20 2015 Nils Philippsen <nils@redhat.com> - 1.99.3-1
- version 1.99.3
- initial release

## END: Generated by rpmautospec
